import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:petitbac/cubit/game_cubit.dart';
import 'package:petitbac/models/game/game.dart';
import 'package:petitbac/ui/widgets/game/game_position_indicator.dart';

class GameTopWidget extends StatelessWidget {
  const GameTopWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return currentGame.gameSettings.itemsCountValue != 0
            ? const GamePositionIndicator()
            : const SizedBox.shrink();
      },
    );
  }
}
