import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:petitbac/cubit/game_cubit.dart';
import 'package:petitbac/models/game/game.dart';
import 'package:petitbac/ui/layouts/game_layout.dart';
import 'package:petitbac/ui/layouts/parameters_layout.dart';

class PageGame extends StatelessWidget {
  const PageGame({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return currentGame.isRunning
            ? const GameLayout()
            : ParametersLayout(canResume: currentGame.canBeResumed);
      },
    );
  }
}
